%global oname org.ops4j.base
Name:          ops4j-base
Version:       1.4.0
Release:       2%{?dist}
Summary:       OPS4J Base
# EPL: ops4j-base-io/src/main/java/org/ops4j/io/ZipExploder.java
License:       ASL 2.0 and EPL
URL:           http://team.ops4j.org/wiki/display/base/Base
Source0:       https://github.com/ops4j/org.ops4j.base/archive/base-%{version}.tar.gz
# ops4j-base package don't include the license file
# reported @ https://ops4j1.jira.com/browse/BASE-40
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: java-devel
BuildRequires: ops4j-master
# BuildRequires: sonatype-oss-parent

BuildRequires: slf4j

# test deps
BuildRequires: junit
BuildRequires: logback

BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-surefire-provider-junit4

BuildArch:     noarch

%description
Utility classes and extensions to be used in OPS4J projects.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{oname}-base-%{version}

find -name '*.class' -delete
# empty jar file used as resources for testing
# ops4j-base-io/src/test/resources/dirscanner/bundle1.jar
# ops4j-base-io/src/test/resources/dirscanner/bundle2.jar
# ops4j-base-io/src/test/resources/dirscanner/subdir/bundle3.jar
# ops4j-base-io/src/test/resources/dirscanner/subdir/subdir/bundle4.jar
# contains the empty jar archive
# ops4j-base-io/src/test/resources/dirscanner.zip
find -name '*.jar' ! -name "bundle*.jar" -print -delete
find -name '*.zip' ! -name "dirscanner.zip" -print -delete

%pom_remove_plugin :retrotranslator-maven-plugin
%pom_disable_module ops4j-base
cp -p %{SOURCE1} .
sed -i 's/\r//' LICENSE-2.0.txt

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE-2.0.txt

%changelog
* Fri Aug 09 2013 gil cattaneo <puntogil@libero.it> 1.4.0-2
- fix license field

* Mon Nov 05 2012 gil cattaneo <puntogil@libero.it> 1.4.0-1
- initial rpm